FALSK        EQU  0
SAND         EQU  0FFH
CR           EQU  0DH
LF           EQU  0AH
LINELENGTH   EQU  74


STACK_SEG SEGMENT STACK
          DW    400 DUP(0)
	STACK_TOP LABEL  WORD
STACK_SEG ENDS


; Macro definition module for 50250 - assembler part

; Dos interfacing functions
DOS_INT				EQU	21h		; DOS service interrupt
DOS_TERMINATE		EQU	4Ch		; Terminate (error code in AH)
DOS_READLN			EQU	0Ah		; Buffered input (DS:DX - pointer to buffer, [0] = buffer length)
DOS_WRITELN			EQU	09h		; Print String (DS:DX - pointer to string, terminated by "$")
DOS_OPENFILE		EQU	3Dh		; Open file (AL - open mode 00=read-only, 01=write, 10=read/write, DS:DX - pointer to ASCIIZ filename)
DOS_CLOSEFILE		EQU	3Eh		; Close file (BX - handle)
DOS_READFILE		EQU	3Fh		; Read from file (BX - handle, CX - count, DS:DX - pointer, =>AX - read)
DOS_WRITEFILE		EQU	40h		; Write to file (BX - handle, CX - count, DS:DX - pointer, =>AX - written)
DOS_CREATEFILE		EQU 3Ch		; Create a new file (DS:DX->fname, CX- attr)
DOS_GETTIME			EQU	2Ch		; get time (dh=sec, dl=/100 sec, ch=hours, cl=min)


DOS_CALL MACRO service
	mov	ah, &service
	int	DOS_INT
;;	jnc	$+4
;;	jmp	FAIL
	JUMPS
	jc	FAIL
ENDM

DosTerminate MACRO ExitCode
	mov	al, ExitCode
	DOS_CALL(DOS_TERMINATE)
ENDM
