/*
 * ANSI Console unit (tries to look like CONIO.H)
 * Cursor positions won't match unless only cputch and cputs is used.
 *
 */

#ifndef ANSI_H
#define ANSI_H

/* Goto a location */
void gotoxy(int x, int y);

/* cursor x-position (only if cputs is always used */
int wherex( void );

/* cursor y-position (only if cputs is always used */
int wherey( void );


/* clear screen */
void clrscr( void );

/* Clear end-of-line */
void clreol( void );

/* set text attributes */
void textattr(int ta);

/* cursor x-position (only if cputs is always used */
int putch(int ch);

/* Put string on screen */
int cputs( char *p );



#endif