#include "error.h"

char errorstr[][79] = {
	"000: Ingen fejl",
	"001: Udefineret fejl",
	"002: For mange karakterer",
	"003: Ugyldigt tasteslag",
	"004: Indtast heltal",
	"005: Indtast kommatal (##.###[e##])",
	"006: Svar J eller N",
	"007: Indtast tal i intervallet ]%lg;%lg[",
	"008: Indtast heltal i intervallet ]%ld;%ld[",
	"009: Indtast et positivt kommatal",
	"010: Fejl ved bning af fil",
	"011: Fejl ved lsning fra fil",
	"012: Fejl ved lukning af fil",
	"013: Fejl ved skrivning til fil",
	"014: Indtast navnet p en fil, der eksisterer eller blank for ingen",
	"015: Grafikfejl, kan ikke plotte resultat"
     };
/* En global tilgngelig streng til at lgge sidste fejlmeddelelse i. Anvend
 * fejlkode -1 for at bruge denne fejlbesked
 */
char lasterror[255];

/* Udskriv en fejlbesked i bunden af skrmen.
 * Vent p tastetryk fr fjernelse.
 * Tastetryk bevares til efterflgende behandling.
 */
void errormsg( int errorcode )
{
	int xpos = wherex();
	int ypos = wherey();
	int oldattr = 0x07;
	/* udskriv */
	textattr(0x0F);
	gotoxy(1,25);
	clreol();
	if (errorcode>0) { cputs(errorstr[errorcode]); putch(7); }
	if (errorcode==E_LASTERROR) { cputs(lasterror); putch(7); }

	/* vent p tast og fjern */
	gotoxy(xpos, ypos);
	ungetch(getch());
	gotoxy(1,25);
	clreol();

	/* returner markr til felt */
	gotoxy(xpos, ypos);
	textattr(oldattr);

}
